#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Scope
%define	pnam	Guard
Summary:	Scope::Guard - lexically scoped resource management
Summary(pl.UTF-8):	Scope::Guard - zarządzanie zasobami o zakresie leksykalnym
Name:		perl-Scope-Guard
Version:	0.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scope/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	be57b915d23ddac7677ef2ad9e52b92a
URL:		http://search.cpan.org/dist/Scope-Guard/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a convenient way to perform cleanup or other
forms of resource management at the end of a scope.

%description -l pl.UTF-8
Ten moduł udostępnia wygodny sposób wykonywania czyszczenia i innych
form zarządzania zasobami poza zakresem ich widoczności.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Scope
%{perl_vendorlib}/Scope/Guard.pm
%{_mandir}/man3/Scope::Guard.3pm*
%changelog
* Fri Jan 08 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Scope-Guard.git;a=log;h=master

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 960db44
- updated to 0.21

* Tue Feb 22 2011 Jakub Bogusz <qboosh@pld-linux.org> d583450
- updated to 0.20

* Fri Apr 09 2010 amateja <amateja@pld-linux.org> 019b537
- updated to 0.12

* Fri Mar 26 2010 amateja <amateja@pld-linux.org> 0b370c3
- updated to 0.11
- updated Source0 URL

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 4fed7bc
- pl

* Sun Sep 09 2007 radek <radek@pld-linux.org> 9739034
- add perl_vendorlib/Scope

* Sun Sep 09 2007 radek <radek@pld-linux.org> 02875aa
- new

